## gosa 2.7.4+reloaded2

=== debian/control ===
Source: gosa
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 9),
Build-Depends-Indep:
 po-debconf,
Standards-Version: 3.9.6
Homepage: https://oss.gonicus.de/labs/gosa/
Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/gosa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/gosa.git;a=summary

Package: gosa
Architecture: all
Depends:
 apache2 | lighttpd | httpd,
 exim4 | mail-transport-agent,
 fonts-liberation,
 gettext,
 libapache2-mod-php | php-cgi | php-fpm,
 libcrypt-smbhash-perl,
 libjs-scriptaculous,
 php,
 php-cli,
 php-curl,
 php-gd,
 php-imagick | imagemagick (>= 5.4.4.5-1) | graphicsmagick-im-compat,
 php-imap,
 php-ldap,
 php-mcrypt,
 php-mysqlnd | php-mysql,
 php-recode,
 smarty-gettext,
 smarty3 (>= 3.1.10-1),
 ${misc:Depends},
Suggests:
 cyrus21-imapd (>= 2.1.11),
 gosa-schema,
 gosa-si-server,
 php-apc,
 php-fpdf,
 php-suhosin,
 postfix-ldap,
 slapd,
Conflicts:
 smarty-acl-render,
 smarty3-gosa,
Description: Web Based LDAP Administration Program
 Provided is access to posix, shadow, samba, proxy, fax, pureftp and
 kerberos accounts. It is able to manage the postfix/cyrus server
 combination and can write user adapted sieve scripts.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-dev
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 latex2html,
 lyx,
 php-cli,
 ${misc:Depends},
Description: GOsa² development utilities
 This package contains a couple of tools to generate online
 help, extract localizations and howto's for developing Gosa² plugins.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-desktop
Architecture: all
Depends:
 debconf,
 iceweasel | firefox,
 ${misc:Depends},
Description: Desktop integration for GOsa²
 This package includes a Gosa² menu definition for your desktop
 environment.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa
 This package includes the basics LDAP schemas needed by GOsa².
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-en
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: English online help for GOsa
 This package includes the English online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-de
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: German online help for GOsa²
 This package includes the German online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-fr
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: French online help for GOsa²
 This package includes the French online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-nl
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: Dutch online help for GOsa
 This package includes the Dutch online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-connectivity
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: connectivity plugin for GOsa²
 Connectivity base plugin - base for really small plugins.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dhcp
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: dhcp plugin for GOsa²
 DHCP service management plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dhcp-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² dhcp plugin
 This package includes the LDAP schema needed by the GOsa²
 dhcp plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dns
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems,
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: dns plugin for GOsa²
 DNS service management plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dns-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² dns plugin
 This package includes the LDAP schema needed by the GOsa²
 dns plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-fai
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-goto (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: fai plugin for GOsa²
 FAI plugin for managing Linux system deployment.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-fai-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² fai plugin
 This package includes the LDAP schema needed by the GOsa²
 fai plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-gofax
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: gofax plugin for GOsa²
 GOfax management with report functionality
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-gofon
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: gofon plugin for GOsa²
 GOfon management with report functionality
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-goto
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: goto plugin for GOsa²
 GOto desktop management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-kolab
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-connectivity (= ${binary:Version}),
 gosa-plugin-mail (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Conflicts:
 gosa-plugin-mailaddress,
Description: kolab plugin for GOsa²
 Kolab2 account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-kolab-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² kolab plugin
 This package includes the LDAP schema needed by the GOsa²
 kolab plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-ldapmanager
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: ldapmanager plugin for GOsa²
 LDAP import and export management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-mail
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: base mail plugin for GOsa²
 Mail management base plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-mit-krb5
Architecture: all
Conflicts:
 gosa-plugin-heimdal,
Breaks:
 gosa (<<2.7),
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Description: mit-krb5 plugin for GOsa²
 MIT kerberos management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-mit-krb5-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² mit-krb5 plugin
 This package includes the LDAP schema needed by the GOsa²
 mit-krb5 plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-nagios
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 libswitch-perl | perl (<< 5.10.1-13),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: nagios plugin for GOsa²
 Nagios account settings management
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-nagios-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² nagios plugin
 This package includes the LDAP schema needed by the GOsa²
 nagios plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-netatalk
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-goto (= ${binary:Version}),
 gosa-plugin-systems (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: netatalk plugin for GOsa²
 Netatalk account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-opengroupware
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-connectivity (= ${binary:Version}),
 gosa-plugin-mail (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: opengroupware plugin for GOsa²
 Opengroupware account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-openxchange
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 gosa-plugin-connectivity (= ${binary:Version}),
 gosa-plugin-mail (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 gosa (<<2.7),
Description: openxchange plugin for GOsa²
 Open-Xchange account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-openxchange-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Description: LDAP schema for GOsa² openxchange plugin
 This package includes the LDAP schema needed by the GOsa²
 openxchange plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-opsi
Architecture: all
Depends:
 gosa (= ${binary:Version}),
