## gosa 2.7.4+reloaded3

=== debian/changelog ===
gosa (2.7.4+reloaded3-8+deb10u2) buster; urgency=medium

  * debian/patches:
    + Add 1047_CVE-2019-14466-{1,2}_replace_unserialize_with_json_encode+json_
      decode.patch: Replace (un)serialize with json_encode/json_decode to
      mitigate PHP object injection.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Apr 2020 13:02:28 +0200

gosa (2.7.4+reloaded3-8+deb10u1) buster; urgency=medium

  * debian/changelog:
    + post-upload fix of patch-1045 explanation...
  * debian/patches:
    + Add 1046_CVE-2019-11187_stricter-ldap-error-check.patch.
      Perform stricter check on LDAP success/failure (CVE-2019-11187).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 10 Aug 2019 04:04:23 +0200

gosa (2.7.4+reloaded3-8) unstable; urgency=medium

  * debian/patches:
    + Add 1043_smarty-add-on-function-param-types.patch. Fix missing
      password field, caused by PHP error "parameter 2 expected to be a
      reference, value given". This happened due to mismatching parameter
      types whenever the smarty3 template rendering engine called gosa's
      (slightly not-compliant anymore) smartyAddon functions. (Closes:
      #918578). The patch also brings some smartyAddon hygiene for
      the {render} block and the not-used-anymore {tr} block.
    + Add 1044_crypto-transition-without-mcrypt.patch. Make
      gosa-mcrypt-to-openssl-passwords script independent from php-mcrypt,
      and thus make it work with Debian buster's php7.3. (Closes: #925138).
    + Update 1026_fix-deprecated-constructor-format.patch. Drop an
      unwanted find+replace artefact in class_userFilter.
    + Add 1045_dont_use_filter_caching.patch. Disable filter caching via
      $_SESSION. The filter caching mechanism stores PHP object in $_SESSON;
      since php7.0 this has lead to all sorts of unexpected results and flawed
      rendering of class_management based listings. (Closes: #907815).
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Apr 2019 15:24:14 +0200

gosa (2.7.4+reloaded3-7) unstable; urgency=medium

  [ Mike Gabriel ]
  * Update default config.
    + Enable netgroup, pwreset and school-manager plugins by default.

  [ Dominik George ]
  * Update my maintainer address.
  * Add support for php-fpm in apache config.

 -- Dominik George <natureshadow@debian.org>  Wed, 12 Dec 2018 16:52:38 +0100

gosa (2.7.4+reloaded3-6) unstable; urgency=medium

  [ Christian Schwamborn ]
  * debian/patches:
    + Add 1040_inactive_pwd_fields_when_using_pwd_proposal.patch. Disable
      password entry text fields when password proposal is to be used.
    + Improve 1039_fix_sambakickofftime_...tmplate_setting.patch. Avoid NULL
      string being handed over to the date() function.
    + Add 1041_ref_param_error_in_My_Parser.patch. Compat fix for PHP > 5.4.
      Hand over real variable to function.
    + Add 1042_add_option_to_disable_autocomplete.patch. Add support for
      disabling autocompletion in search boxes.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Drop exim4 as default MTA, use default-mta instead. Thanks lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Aug 2018 12:31:03 +0200

gosa (2.7.4+reloaded3-5) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
  * debian/patches:
    + Add 0013_escape-html-entities-for-uid-to-avoid-code-execution-
      CVE-2018-1000528.patch. Fixes code injection in password change dialog.
      Resolves CVE-2018-1000528. (Closes: #902723).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Jun 2018 12:35:38 +0200

gosa (2.7.4+reloaded3-4) unstable; urgency=medium

  * debian/control:
    + Add D (gosa): php-cgi. Required for GOsa² to work under lighttpd.
      (Closes: #892570).
    + Drop from S: gosa-si-server. (Closes: #891904). (Note: the requested
      php7.0-cli to php-cli modification was already uploaded with
      gosa/2.7.4+reloaded3-3).
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/gosa.post*:
    + Test presence of apache2ctl to detect whether GOsa² is supposed to run
      under Apache2. (Closes: #892571).
  * debian/patches:
    + Add 0012_using-the-correct-encryption-method.patch. Use aes-256-ecb, not
      -cbc as encryption method in cred_encrypt() function. (Closes: #892546).
    + Add 2006_apache2-private-tmp.patch. Work-around for Apache2's
      PrivateTmp=true feature in Debian. (Closes: #892569).
    + Various typo fixes in text comments.
  * debian/README.gosa.secrets:
    + Add HowTo about GOsa²'s internal pw encryption procedure.
    + Advertise this new README in debian/NEWS.
  * debian/gosa.lintian-overrides:
    + Add override maintainer-script-should-not-use-recursive-chown-or-chmod
      postinst.
  * lintian: Move source overrides into debian/source/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Apr 2018 13:36:45 +0200

gosa (2.7.4+reloaded3-3) unstable; urgency=medium

  * debian/control:
    + Switch D (gosa-dev) from php7.0-cli to php-cli.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Mar 2018 20:59:40 +0100

gosa (2.7.4+reloaded3-2) unstable; urgency=medium

  * debian/control:
    + Add B:/R: relations (gosa) for gosa-plugin-{heimdal,opsi,fai,fai-schema}
      (<< 2.7.4+reloaded3-1~).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 19:47:38 +0100

gosa (2.7.4+reloaded3-1) unstable; urgency=medium


  [ Mike Gabriel ]
  * Re-pack GOsa². Drop plugins useless without never
    really stable gosa-si daemon:
    - Drop FAI plugin. Obsoleted upstream.
    - Drop OPSI plugin. Obsoleted upstream.
    - Drop Heimdal plugin. Obsoleted upstream.

  * debian/watch.gosa-plugin-{heimdal,opsi,fai}:
    + Drop files. Not needed anymore.
  * debian/watch.gosa-*:
    + Use secure URLs to obtain upstream sources.
    + Revert back to http access to upstream sources. Upstream's certificate is

