=== debian/control ===
--- 
+++ 
@@ -1,46 +1,46 @@
 Source: gosa
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Dominik George <natureshadow@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
 Build-Depends-Indep:
  po-debconf,
-Standards-Version: 3.9.6
+Standards-Version: 4.3.0
 Homepage: https://oss.gonicus.de/labs/gosa/
-Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/gosa.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/gosa.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/gosa.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/gosa
 
 Package: gosa
 Architecture: all
 Depends:
  apache2 | lighttpd | httpd,
- exim4 | mail-transport-agent,
+ default-mta | mail-transport-agent,
  fonts-liberation,
  gettext,
- libapache2-mod-php | php-cgi | php-fpm,
  libcrypt-smbhash-perl,
  libjs-scriptaculous,
  php,
+ php-xml,
+ php-cgi,
  php-cli,
  php-curl,
  php-gd,
- php-imagick | imagemagick (>= 5.4.4.5-1) | graphicsmagick-im-compat,
+ php-imagick | imagemagick | graphicsmagick-im-compat,
  php-imap,
  php-ldap,
- php-mcrypt,
- php-mysqlnd | php-mysql,
+ php-mbstring,
+ php-mysql,
  php-recode,
  smarty-gettext,
- smarty3 (>= 3.1.10-1),
+ smarty3,
  ${misc:Depends},
 Suggests:
  cyrus21-imapd (>= 2.1.11),
  gosa-schema,
- gosa-si-server,
  php-apc,
  php-fpdf,
  php-suhosin,
@@ -49,6 +49,16 @@
 Conflicts:
  smarty-acl-render,
  smarty3-gosa,
+Breaks:
+ gosa-plugin-heimdal (<< 2.7.4+reloaded3-1~),
+ gosa-plugin-opsi (<< 2.7.4+reloaded3-1~),
+ gosa-plugin-fai (<< 2.7.4+reloaded3-1~),
+ gosa-plugin-fai-schema (<< 2.7.4+reloaded3-1~),
+Replaces:
+ gosa-plugin-heimdal (<< 2.7.4+reloaded3-1~),
+ gosa-plugin-opsi (<< 2.7.4+reloaded3-1~),
+ gosa-plugin-fai (<< 2.7.4+reloaded3-1~),
+ gosa-plugin-fai-schema (<< 2.7.4+reloaded3-1~),
 Description: Web Based LDAP Administration Program
  Provided is access to posix, shadow, samba, proxy, fax, pureftp and
  kerberos accounts. It is able to manage the postfix/cyrus server
@@ -76,7 +86,7 @@
 Architecture: all
 Depends:
  debconf,
- iceweasel | firefox,
+ firefox-esr | iceweasel,
  ${misc:Depends},
 Description: Desktop integration for GOsa²
  This package includes a Gosa² menu definition for your desktop
@@ -204,33 +214,6 @@
 Description: LDAP schema for GOsa² dns plugin
  This package includes the LDAP schema needed by the GOsa²
  dns plugin.
- .
- GOsa² is a combination of system-administrator and end-user web
- interface, designed to handle LDAP based setups.
-
-Package: gosa-plugin-fai
-Architecture: all
-Depends:
- gosa (= ${binary:Version}),
- gosa-plugin-goto (= ${binary:Version}),
- ${misc:Depends},
-Breaks:
- gosa (<<2.7),
-Description: fai plugin for GOsa²
- FAI plugin for managing Linux system deployment.
- .
- GOsa² is a combination of system-administrator and end-user web
- interface, designed to handle LDAP based setups.
-
-Package: gosa-plugin-fai-schema
-Architecture: all
-Depends:
- ${misc:Depends},
-Recommends:
- slapd,
-Description: LDAP schema for GOsa² fai plugin
- This package includes the LDAP schema needed by the GOsa²
- fai plugin.
  .
  GOsa² is a combination of system-administrator and end-user web
  interface, designed to handle LDAP based setups.
@@ -448,7 +431,25 @@
  GOsa² is a combination of system-administrator and end-user web
  interface, designed to handle LDAP based setups.
 
-Package: gosa-plugin-opsi
-Architecture: all
-Depends:
- gosa (= ${binary:Version}),
+Package: gosa-plugin-phpgw
+Architecture: all
+Depends:
+ gosa (= ${binary:Version}),
+ gosa-plugin-connectivity (= ${binary:Version}),
+ gosa-plugin-mail (= ${binary:Version}),
+ ${misc:Depends},
+Breaks:
+ gosa (<<2.7),
+Description: phpgw plugin for GOsa²
+ PHP Groupware connectivity plugin
+ .
+ GOsa² is a combination of system-administrator and end-user web
+ interface, designed to handle LDAP based setups.
+
+Package: gosa-plugin-phpgw-schema
+Architecture: all
+Depends:
+ ${misc:Depends},
+Recommends:
+ slapd,
+Description: LDAP schema for GOsa² phpgw plugin
