## gosa 2.8~git20230203.10abe45+dfsg

=== debian/changelog ===
gosa (2.8~git20230203.10abe45+dfsg-11) unstable; urgency=medium

  * debian/patches:
    + Add 1046_groups-classic-theme-generic-tpl.patch. Drop artifact '[6~'
      from generic group template (classic theme).
    + Add 1047_silence-SnapshotHandler-in-logs.patch. Don't pass new LDAP
      class instantiation directly, store in interim variable first.
    + Add 1048_fix-undefined-variable.patch. Amend 'PHP error: Undefined
      variable $acl_mode' when using classic theme.
    + Add 1049_dont-compare-multidim-arrays-with-array-diff.patch. Compare
      JSON hashes instead of comparing array. This avoids an 'Array to string
      conversion' error when comparing multi-dimensional arrays.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2024 09:19:26 +0100

gosa (2.8~git20230203.10abe45+dfsg-10) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1038_include-class_pathNavigator.inc-Don-t-send-object-DN.patch.
      Silence 'invalid DN syntax' errors from LDAP server when creating new
      user objects. (Closes: #1051995).
    + Add 1040_fix-instance-property-typo-in-class_acl-inc.patch. Fix 'Array
      to string conversion (/usr/share/gosa/include/class_acl.inc, line 180)'.
      (Closes: #1051997).
    + Add 1043a_Add-setter-for-skipFooter-property-needed-for-mfa-ex.patch.
      Add modifier for skipFooter protected class property.
    + Add 1043b_honour-plugin-property-skipFooter-used-by-mfa-account.patch.
      Honour plugin property 'skipFooter'.
    + Rebase patches 1099 and 1149.

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1041_fix-role-selector.patch in order to fix role selection
    + Add 1042_fix-user-info-default-theme.patch

  [ Daniel Teichmann ]
  * debian/patches/:
    + Add 1044_fix-class-ldap-serialization.patch which fixes a few bugs
      regarding LDAP object serialization. This especially fixes setting
      LDAP userPassword attribute types via GOsa². (Closes: #1052159).
    + Add 0003-fix-posixaccount-shadowExpire.patch which fixes shadowExpire
      always being set to 0. (User can't login then) (Closes: #1053806)

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Dec 2023 22:42:54 +0100

gosa (2.8~git20230203.10abe45+dfsg-9) unstable; urgency=medium

  * debian/patches:
    + Improve 1007_fix_debugLevel_bitwise_and.patch. Default value for
      debugLevel is an empty string. Assure this gets interpreted as 0
      debugLevel. (Closes: #1049937).
    + Add 2010_vacation-templates-writeable-path.patch. Use a folder in
      /var/lib/ for providing a GOsa²-writeable path for vacation templates.
      (Closes: #1049938).
    + Fix multiply patching include/class_sortableList.inc.
    + Add 1025_fix-icons-in-debugBar.patch. Don't use image() method from
      GOsa²'s function.inc. The debug toolbar is not themed, so hard-code
      icon img tags. (Closes: #1049939). This resolves the problem of
      non-shown icons if the default (Materialize CSS) theme is used.
    + Add 1026_dont-access-static-property-non-static.patch. Resolves
      'Accessing static property LDAP:: as non static'. (Closes: #1049956).
    + Add patches 1027 - 1033. Fix various PHP errors/warnings reported to
      syslog. (Closes: #1049942).
    + Add patches 106?_*.patch. Resolve various issues in GOsa²'s acl class.
      (Closes: #1049940).
    + Add 1034_include-class_listing.inc-Fix-processElementFilter-n.patch.
      include/class_listing.inc: Fix processElementFilter() not considering
      default values for method parameters. (Closes: #1050489).
    + Add 1063_include-class_-listing-acl-.inc-plugins-admin-acl-cl.patch.
      plugins/admin/acl/class_aclRole.inc: Fix accessing variables if they
      are NULL or keys of arrays which aren't even set.
    + Add 1036_include-class_filter.inc-Define-gridClass-for-defaul.patch.
      include/class_filter.inc: Define gridClass for default and classic theme.
    + Add 1037_include-php_setup.inc-Hide-ldap_-search-read-Search-.patch.
      Silence 'Search: No such object.' PHP error messages for ldap_search()
      and ldap_read(). Those errors are mostly not errors but simply search /
      query results.
  * debian/gosa.{dirs,links,postinst}:
    + Provide /var/lib/gosa/vacation and symlink to it from /etc/gosa. (Related
      to 2010_vacation-templates-writeable-path.patch and #1049938).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Aug 2023 20:53:52 +0200

gosa (2.8~git20230203.10abe45+dfsg-8) unstable; urgency=medium

  * debian/patches:
    + Add 1024_fix-mess-of-using-and-comparing-int-and-string-values.patch.
      This resolves a dirty class property design for the posixAccount class.
      This patch attempts at avoiding int-with-string value comparisons for
      the properties gidNumber (string) and primaryGroup (int). (Closes:
      #1049344).
    + Add 1155_fix-uid-generation-when-many-uids-have-been-already-taken.patch
      from Debian's GOsa² 2.7.5 (never uploaded to Debian, but valid for GOsa²
      2.8). (Closes: #991545).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 15 Aug 2023 16:06:27 +0200

gosa (2.8~git20230203.10abe45+dfsg-7) unstable; urgency=medium

  * debian/patches:
    + Regression fix in 1023_fix-icon-labelling-with-default-theme.patch.
      Adding an <img> tag is wrong for Materialize CSS, this needs to be
      addressed in the DHCP service code in gosa-plugins-systems.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 15 Aug 2023 13:05:19 +0200

gosa (2.8~git20230203.10abe45+dfsg-6) unstable; urgency=medium

  * debian/patches:
    + Add patches 1011 to 1020. Revert nested group feature for GOsa² groups.
      This feature is completely broken in GOsa² upstream when posixGroups
      are in use. (Closes: #1049328). Also trivially rebase patches 1009 and
      2009.
    + Add 1021_fix-config-parser-being-null.patch. Since PHP 8.x an XML parser
      must not be null when accessed. It needs to be an instance of XMLParser().
      (Closes: #1049338).

