=== debian/control ===
Source: gosa
Section: web
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 po-debconf,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/gosa-project/gosa-core
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/gosa.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/gosa

Package: gosa
Architecture: all
Depends:
 apache2 | lighttpd | httpd,
 default-mta | mail-transport-agent,
 fonts-liberation,
 gettext,
 libcrypt-smbhash-perl,
 libjs-scriptaculous,
 php,
 php-xml,
 php-cgi,
 php-cli,
 php-curl,
 php-gd,
 php-imagick | imagemagick | graphicsmagick-im-compat,
 php-imap,
 php-ldap,
 php-mbstring,
 php-mysql,
 smarty-gettext,
 smarty4,
 ${misc:Depends},
Suggests:
 cyrus21-imapd (>= 2.1.11),
 gosa-schema,
 php-apc,
 php-fpdf,
 php-suhosin,
 postfix-ldap,
 slapd,
Conflicts:
 smarty-acl-render,
 smarty3-gosa,
Breaks:
 gosa-plugin-connectivity (<< 2.8~),
 gosa-plugin-dhcp (<< 2.8~),
 gosa-plugin-dhcp-schema (<< 2.8~),
 gosa-plugin-dns (<< 2.8~),
 gosa-plugin-dns-schema (<< 2.8~),
 gosa-plugin-gofax (<< 2.8~),
 gosa-plugin-gofon (<< 2.8~),
 gosa-plugin-goto (<< 2.8~),
 gosa-plugin-kolab (<< 2.8~),
 gosa-plugin-kolab-schema (<< 2.8~),
 gosa-plugin-ldapmanager (<< 2.8~),
 gosa-plugin-mail (<< 2.8~),
 gosa-plugin-mit-krb5 (<< 2.8~),
 gosa-plugin-mit-krb5-schema (<< 2.8~),
 gosa-plugin-nagios (<< 2.8~),
 gosa-plugin-nagios-schema (<< 2.8~),
 gosa-plugin-netatalk (<< 2.8~),
 gosa-plugin-opengroupware (<< 2.8~),
 gosa-plugin-openxchange (<< 2.8~),
 gosa-plugin-openxchange-schema (<< 2.8~),
 gosa-plugin-phpgw (<< 2.8~),
 gosa-plugin-phpgw-schema (<< 2.8~),
 gosa-plugin-phpscheduleit (<< 2.8~),
 gosa-plugin-phpscheduleit-schema (<< 2.8~),
 gosa-plugin-pptp (<< 2.8~),
 gosa-plugin-pptp-schema (<< 2.8~),
 gosa-plugin-pureftpd (<< 2.8~),
 gosa-plugin-pureftpd-schema (<< 2.8~),
 gosa-plugin-rolemanagement (<< 2.8~),
 gosa-plugin-rsyslog (<< 2.8~),
 gosa-plugin-samba (<< 2.8~),
 gosa-plugin-scalix (<< 2.8~),
 gosa-plugin-squid (<< 2.8~),
 gosa-plugin-ssh (<< 2.8~),
 gosa-plugin-ssh-schema (<< 2.8~),
 gosa-plugin-sudo (<< 2.8~),
 gosa-plugin-sudo-schema (<< 2.8~),
 gosa-plugin-systems (<< 2.8~),
 gosa-plugin-uw-imap (<< 2.8~),
 gosa-plugin-webdav (<< 2.8~),
 gosa-plugin-heimdal (<< 2.7.4+reloaded3-1~),
 gosa-plugin-opsi (<< 2.7.4+reloaded3-1~),
 gosa-plugin-fai (<< 2.7.4+reloaded3-1~),
 gosa-plugin-fai-schema (<< 2.7.4+reloaded3-1~),
Replaces:
 gosa-plugin-connectivity (<< 2.8~),
 gosa-plugin-dhcp (<< 2.8~),
 gosa-plugin-dhcp-schema (<< 2.8~),
 gosa-plugin-dns (<< 2.8~),
 gosa-plugin-dns-schema (<< 2.8~),
 gosa-plugin-gofax (<< 2.8~),
 gosa-plugin-gofon (<< 2.8~),
 gosa-plugin-goto (<< 2.8~),
 gosa-plugin-kolab (<< 2.8~),
 gosa-plugin-kolab-schema (<< 2.8~),
 gosa-plugin-ldapmanager (<< 2.8~),
 gosa-plugin-mail (<< 2.8~),
 gosa-plugin-mit-krb5 (<< 2.8~),
 gosa-plugin-mit-krb5-schema (<< 2.8~),
 gosa-plugin-nagios (<< 2.8~),
 gosa-plugin-nagios-schema (<< 2.8~),
 gosa-plugin-netatalk (<< 2.8~),
 gosa-plugin-opengroupware (<< 2.8~),
 gosa-plugin-openxchange (<< 2.8~),
 gosa-plugin-openxchange-schema (<< 2.8~),
 gosa-plugin-phpgw (<< 2.8~),
 gosa-plugin-phpgw-schema (<< 2.8~),
 gosa-plugin-phpscheduleit (<< 2.8~),
 gosa-plugin-phpscheduleit-schema (<< 2.8~),
 gosa-plugin-pptp (<< 2.8~),
 gosa-plugin-pptp-schema (<< 2.8~),
 gosa-plugin-pureftpd (<< 2.8~),
 gosa-plugin-pureftpd-schema (<< 2.8~),
 gosa-plugin-rolemanagement (<< 2.8~),
 gosa-plugin-rsyslog (<< 2.8~),
 gosa-plugin-samba (<< 2.8~),
 gosa-plugin-scalix (<< 2.8~),
 gosa-plugin-squid (<< 2.8~),
 gosa-plugin-ssh (<< 2.8~),
 gosa-plugin-ssh-schema (<< 2.8~),
 gosa-plugin-sudo (<< 2.8~),
 gosa-plugin-sudo-schema (<< 2.8~),
 gosa-plugin-systems (<< 2.8~),
 gosa-plugin-uw-imap (<< 2.8~),
 gosa-plugin-webdav (<< 2.8~),
 gosa-plugin-heimdal (<< 2.7.4+reloaded3-1~),
 gosa-plugin-opsi (<< 2.7.4+reloaded3-1~),
 gosa-plugin-fai (<< 2.7.4+reloaded3-1~),
 gosa-plugin-fai-schema (<< 2.7.4+reloaded3-1~),
Description: Web Based LDAP Administration Program
 Provided is access to posix, shadow, samba, proxy, fax, pureftp and
 kerberos accounts. It is able to manage the postfix/cyrus server
 combination and can write user adapted sieve scripts.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-dev
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 latex2html,
 lyx,
 php-cli,
 ${misc:Depends},
Description: GOsa² development utilities
 This package contains a couple of tools to generate online
 help, extract localizations and howto's for developing Gosa² plugins.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-desktop
Architecture: all
Depends:
 debconf,
 firefox-esr | iceweasel,
 ${misc:Depends},
Description: Desktop integration for GOsa²
 This package includes a Gosa² menu definition for your desktop
 environment.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 slapd,
Multi-Arch: foreign
Description: LDAP schema for GOsa
 This package includes the basics LDAP schemas needed by GOsa².
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-en
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: English online help for GOsa
 This package includes the English online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-de
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: German online help for GOsa²
 This package includes the German online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-fr
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: French online help for GOsa²
 This package includes the French online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-nl
Architecture: all
Depends:
 gosa (= ${binary:Version}),
 ${misc:Depends},
Description: Dutch online help for GOsa
 This package includes the Dutch online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.
