=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.8~git%cd.%h, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://github.com/gosa-project/gosa-core \
heads/develop
